-- by modelleicher
-- 30/05/2018
-- https://www.facebook.com/Modelleicher/
-- www.ls-modcompany.de 


fineTimescaleAdjustment = {};
addModEventListener(fineTimescaleAdjustment);

function fineTimescaleAdjustment:loadMap(name)
	self.lastTimeScale = g_currentMission.missionInfo.timeScale;
end;


function fineTimescaleAdjustment:update(dt)
	if g_currentMission:getIsClient() then -- don't run on the Dedicated Server itself
		if g_gui.currentGui == nil and g_currentMission.controlledVehicle == nil then -- only if no vehicle is entered or menu is up
			if g_currentMission:getIsServer() or g_currentMission.isMasterUser then -- only if we are the host or logged in as admin
				g_currentMission:addHelpButtonText(g_i18n:getText("input_INCREASE_TIMESCALE2"), InputBinding.INCREASE_TIMESCALE2);
				g_currentMission:addHelpButtonText(g_i18n:getText("input_DECREASE_TIMESCALE2"), InputBinding.DECREASE_TIMESCALE2);

				local scale = g_currentMission.missionInfo.timeScale

				if InputBinding.hasEvent(InputBinding.INCREASE_TIMESCALE2) then
					local scale = g_currentMission.missionInfo.timeScale
					
					if scale < 15 then
						scale = self.lastTimeScale + 1;
					elseif scale < 30 then
						scale = self.lastTimeScale + 5;
					elseif scale < 60 then
						scale = self.lastTimeScale + 10;
					else
						scale = self.lastTimeScale + 20;
					end;
					
					scale = math.min(scale, 240)
					if scale == 1 then
						self.isActuallyTimescale1 = true;
					else
						self.isActuallyTimescale1 = false;
					end;
					g_currentMission:setTimeScale(scale)
					
					self.lastTimeScale = scale;
					
				elseif InputBinding.hasEvent(InputBinding.DECREASE_TIMESCALE2) then
					local scale = g_currentMission.missionInfo.timeScale
					
					if scale < 15 then
						scale = self.lastTimeScale - 1;
					elseif scale < 30 then
						scale = self.lastTimeScale - 5;
					elseif scale < 60 then
						scale = self.lastTimeScale - 10;
					else
						scale = self.lastTimeScale - 20;
					end;
					
					scale = math.max(scale, 0)
					if scale == 1 then
						self.isActuallyTimescale1 = true;
					else
						self.isActuallyTimescale1 = false;
					end;
					g_currentMission:setTimeScale(scale)
					
					self.lastTimeScale = scale;
				end;
			end;
		end;
	end;
end


function fineTimescaleAdjustment:deleteMap()
end;
function fineTimescaleAdjustment:draw()
end;
function fineTimescaleAdjustment:mouseEvent(posX, posY, isDown, isUp, button)
end;
function fineTimescaleAdjustment:keyEvent(unicode, sym, modifier, isDown)
end;



